<?php

namespace AutoAdmin\Bundle\Admin\Form\TypeGuesser\Guesser;

use AutoAdmin\Bundle\Admin\Form\Type\Component\CollectionType;
use AutoAdmin\Bundle\Admin\Form\TypeGuesser\AbstractAdminTypeGuesser;

class CollectionGuesser extends AbstractAdminTypeGuesser
{
    public function getFormType(): string
    {
        return CollectionType::class;
    }

    public function getDefaultFormTypeOptions(): array
    {
        return [];
    }

    public function getMatchingConfigStrings(): array
    {
        return [
            'collection',
        ];
    }

    public function getMatchingAttributes(): array
    {
        return [
        ];
    }

    public function getMatchingPropertyTypes(): array
    {
        return [
        ];
    }

    public function priority(): int
    {
        return 20;
    }
}
